'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Component = require('./Component');

var _Component2 = _interopRequireDefault(_Component);

var _AspectRatio = require('@material-ui/icons/AspectRatio');

var _AspectRatio2 = _interopRequireDefault(_AspectRatio);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  Component: _Component2.default,
  name: 'ory/editor/core/content/spacer',
  version: '0.0.1',
  IconComponent: _react2.default.createElement(_AspectRatio2.default, null),
  text: 'Spacer',
  description: 'Resizeable, empty space.',

  handleRemoveHotKey: function handleRemoveHotKey(_, __) {
    return Promise.reject();
  },
  handleFocusPreviousHotKey: function handleFocusPreviousHotKey(_, __) {
    return Promise.reject();
  },
  handleFocusNextHotKey: function handleFocusNextHotKey(_, __) {
    return Promise.reject();
  },

  // We need this because otherwise we lose hotkey focus on elements like spoilers.
  // This could probably be solved in an easier way by listening to window.document?
  //
  handleFocus: function handleFocus(props, source, ref) {
    if (!ref) {
      return;
    }
    setTimeout(function () {
      return ref.focus();
    });
  }
}; /*
    * This file is part of ORY Editor.
    *
    * ORY Editor is free software: you can redistribute it and/or modify
    * it under the terms of the GNU Lesser General Public License as published by
    * the Free Software Foundation, either version 3 of the License, or
    * (at your option) any later version.
    *
    * ORY Editor is distributed in the hope that it will be useful,
    * but WITHOUT ANY WARRANTY; without even the implied warranty of
    * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    * GNU Lesser General Public License for more details.
    *
    * You should have received a copy of the GNU Lesser General Public License
    * along with ORY Editor.  If not, see <http://www.gnu.org/licenses/>.
    *
    * @license LGPL-3.0
    * @copyright 2016-2018 Aeneas Rekkas
    * @author Aeneas Rekkas <aeneas+oss@aeneas.io>
    *
    */
//# sourceMappingURL=index.js.map